package admin_dashboard

import (
	"net/http"

	"bdqr-server/app/main/api/internal/logic/admin_dashboard"
	"bdqr-server/app/main/api/internal/svc"
	"bdqr-server/common/result"
)

func AdminGetDashboardStatisticsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := admin_dashboard.NewAdminGetDashboardStatisticsLogic(r.Context(), svcCtx)
		resp, err := l.AdminGetDashboardStatistics()
		result.HttpResult(r, w, resp, err)
	}
}
